<?php

function theme_storm_dashboard_org($mainicon, $form, $msg, $filter, $class) {
  return <<<EOT
<div id="sdb" class="$class">
  <div id="sdb-filter">
    $filter
  </div>
  <div id="sdb-org">
    <div class="right orgtoggle">
      <div id="sdb-org-notes">
      </div>
      <div id="sdb-org-timetracking">
      </div>
    </div>
    <div class="main">
      $mainicon
      $form
      <div id="sdb-org-icons">
      </div>
    </div>
    <div class="left orgtoggle">
      <div id="sdb-org-people">
      </div>
      <div id="sdb-org-people-detail">
      </div>
    </div>
    <div class="center orgtoggle">
      <div id="sdb-org-detail">
      </div>
    </div>
    <div class="clear"> </div>
    <div class="third first orgtoggle">
      <div id="sdb-org-projects">
      </div>
    </div>
    <div class="third orgtoggle">
      <div id="sdb-org-tasks">
      </div>
    </div>
    <div class="third orgtoggle">
      <div id="sdb-org-tickets">
      </div>
    </div>
    <div class="clear"> </div>
  </div>

  <div id="sdb-loading">$msg</div>

  <div id="sdb-org-content">
  </div>

</div>
EOT;
}

function theme_storm_dashboard_prj($title, $body, $icons, $tasks, $tickets, $notes, $timetracking) {
  return <<<EOT
<div id="sdb-prj">
  <div class="right">
    <div id="sdb-prj-notes">
      $notes
    </div>
    <div id="sdb-prj-timetracking">
      $timetracking
    </div>
  </div>
  <div class="left wide">
    <div id="sdb-prj-tasks">
      $tasks
    </div>
    <div id="sdb-prj-tickets">
      $tickets
    </div>
  </div>
  <div class="center">
    <h3 id="sdb-prj-title">$title <span>$icons</span></h3>
    $body
  </div>
  <div class="clear"> </div>
</div>

<div id="sdb-prj-content">
</div>
EOT;
}

function theme_storm_dashboard_tsk($title, $body, $icons, $tasks, $tickets, $notes, $timetracking) {
  return <<<EOT
<div id="sdb-tsk">
  <div class="right">
    <div id="sdb-tsk-notes">
      $notes
    </div>
    <div id="sdb-tsk-timetracking">
      $timetracking
    </div>
  </div>
  <div class="left wide">
    <div id="sdb-tsk-tasks">
      $tasks
    </div>
    <div id="sdb-tsk-tickets">
      $tickets
    </div>
  </div>
  <div class="center">
    <h3 id="sdb-tsk-title">$title <span>$icons</span></h3>
    $body
  </div>
  <div class="clear"> </div>
</div>

<div id="sdb-tsk-content">
</div>
EOT;
}

function theme_storm_dashboard_tkt($title, $body, $icons, $timetracking) {
  return <<<EOT
<div id="sdb-tkt">
  <div class="right">
    <div id="sdb-tkt-timetracking">
      $timetracking
    </div>
  </div>
  <div class="center">
    <h3 id="sdb-tkt-title">$title <span>$icons</span></h3>
    $body
  </div>
  <div class="clear"> </div>
</div>

<div id="sdb-tkt-content">
</div>
EOT;
}

function theme_storm_dashboard_person($title, $body, $icons) {
  return <<<EOT
    $body
    <div><span>$icons</span></div>
EOT;
}

function theme_storm_dashboard_note($title, $body, $icons) {
  return <<<EOT
<div id="sdb-note">
  <div class="center">
    <h3 id="sdb-note-title">$title <span>$icons</span></h3>
    $body
  </div>
  <div class="clear"> </div>
</div>
EOT;
}

function theme_storm_dashboard_timetracking($title, $body, $icons) {
  return <<<EOT
<div id="sdb-tt">
  <div class="center">
    <h3 id="sdb-tt-title">$title <span>$icons</span></h3>
    $body
  </div>
  <div class="clear"> </div>
</div>
EOT;
}